%define fontname    myanmar3-unicode
%define fontdir     %{_datadir}/fonts/%{fontname}
%define fontconfdir %{_sysconfdir}/fonts/conf.d

%define archivename Myanmar3_Unicode 


Name:    %{fontname}-fonts
Version: 3.00
Release: 3%{?dist}
Summary: Myanmar3 unicode font

Group:   User Interface/X
License: LGPLv2+
URL:    http://www.myanmarnlp.net.mm 
Source0: http://www.myanmarnlp.net.mm/downloads/%{archivename}.zip
Source1: %{name}-fontconfig.conf

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch

%description
Myanmar3 unicode font from 
Myanmar Unicode & NLP Research Center

%prep
%setup -q -c
unzip -j -L -q %{SOURCE0}


%build
# Nothing there


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p *.ttf %{buildroot}%{fontdir}

install -m 0755 -d %{buildroot}%{fontconfdir}
install -m 0644 -p %{SOURCE1} %{buildroot}%{fontconfdir}/65-%{fontname}.conf


%clean
rm -fr %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache %{fontdir} || :
fi


%postun
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
    %{_bindir}/fc-cache %{fontdir} || :
fi


%files
%defattr(0644,root,root,0755)

%config(noreplace) %{fontconfdir}/65-%{fontname}.conf

%dir %{fontdir}/
%{fontdir}/*.ttf


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.00-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild


* Fri Aug 01 2008 Minto Joseph <mvaliyav at redhat.com> - 3.00-1 
- initial package
